#pragma once
#include "FDDStd326.h"

class CPeriodicProc
{

		double  fFDDTicks;
		double  fFDD_Mod;

	public:
		CPeriodicProc();
		virtual ~CPeriodicProc();
		void                init();
		void                clear();
		void                uninit();
		inline void         SetMod(double f)
		{
			fFDD_Mod = f;
		}
		inline void         SetTicks(double f)
		{
			fFDDTicks = f;
		}
		inline double       GetTicks()
		{
			return fFDDTicks;
		}
		void                clock(CFDDStd326 *pFDD);
};

